# CollisionQueryParams

## Overview

CollisionQueryParams는 충돌 쿼리 실행 시 적용될 다양한 조건과 필터를 정의하는 설정 객체입니다.

## Constructors

### new

새로운 CollisionQueryParams 인스턴스를 생성합니다.

#### Parameters

#### Return

| `CollisionQueryParams` | 생성된 CollisionQueryParams입니다. |
| ---------------------- | ---------------------------- |

#### Code Samples

## Properties

### FindInitialOverlaps

`boolean`

레이캐스트 시작 시 이미 겹쳐 있는 오브젝트도 결과에 포함할지 여부를 설정합니다.

#### Code Samples

### IgnoreBlocks

`boolean`

블로킹 충돌 오브젝트를 무시할지 여부를 설정합니다.

#### Code Samples

### IgnoreTouches

`boolean`

터치(오버랩) 충돌 오브젝트를 무시할지 여부를 설정합니다.

#### Code Samples

### SkipNarrowPhase

`boolean`

정밀 충돌 검사(Narrow Phase)를 건너뛸지 여부를 설정합니다.

#### Code Samples

### TraceComplex

`boolean`

복잡한 충돌 메시(Complex Collision)를 사용하여 정밀한 레이캐스트를 수행할지 여부를 설정합니다.

#### Code Samples

### TraceIntoSubComponents

`boolean`

서브 컴포넌트 내부까지 추적할지 여부를 설정합니다.

#### Code Samples

## Methods

## Events


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/datatype/collisionqueryparams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
